libpcscada0.7.4_0.7.4-2_amd64.deb


Advertisement

Description

libpcscada0.7.4 - Ada bindings to PC/SC middleware

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename libpcscada0.7.4_0.7.4-2_amd64.deb
Package name libpcscada0.7.4
Package version 0.7.4
Package release 2
Package architecture amd64
Package type deb
Category libs role::shared-lib
Homepage https://www.codelabs.ch/pcscada/
License -
Maintainer Reto Buerki <reet@codelabs.ch>
Download size 119.61 KB
Installed size 567.00 KB
PCSC/Ada provides thin- and thick-bindings to PC/SC-middleware for the Ada
programming language. The library allows applications written in Ada to
communicate with smart cards using the SCard API.

Alternatives

Package Version Architecture Repository
libpcscada0.7.4_0.7.4-2_i386.deb 0.7.4 i386 Debian Main
libpcscada0.7.4 - - -

Requires

Name Value
libc6 >= 2.14
libgcc1 >= 1:3.0
libgnat-8 >= 8.2.0-8
libpcsclite1 >= 1.3.3

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libpcscada0.7.4_0.7.4-2_amd64.deb
Source Package pcscada

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpcscada0.7.4 deb package:
    # sudo apt-get install libpcscada0.7.4

Files

Path
/usr/lib/x86_64-linux-gnu/libpcscada.so.0.7.4
/usr/share/doc/libpcscada0.7.4/changelog.Debian.gz
/usr/share/doc/libpcscada0.7.4/copyright

Changelog

2018-10-27 - Nicolas Boulenguez <nicolas@debian.org>
pcscada (0.7.4-2) unstable; urgency=medium
* Rebuild in unstable for gnat-8 transition.
2018-07-24 - Nicolas Boulenguez <nicolas@debian.org>
pcscada (0.7.4-1) experimental; urgency=medium
* New upstream release. Rebuild with gcc-8.
Rename lib and -dev packages accordingly.
* Switch to dh-ada-library.
* Add me as uploader.
* Debhelper 11, no changes.
* Standards-Version: 4.1.5. Rules-Requires-Root: no.
* Use debhelper defaults when running Make, for example parallelism.
2017-08-21 - Nicolas Boulenguez <nicolas@debian.org>
pcscada (0.7.3-1.1) unstable; urgency=medium
* Non-maintainer upload.
* Build with gnat 7. Bump ALI and SO versions in binary package names.
Remove many hardcoded versions in packaging.
* Clarify flow of parameters from Makefile to projects. Closes: #833580.
* Make runtime Multi-Arch: same. Make paths multiarch compliant in -dev.
* Update gpr install dir.
* Debhelper 10. Replace deprecated --fail-missing dh_install option.
* Enable all hardening flags.
* Watch file format version 4.
* Standards-Version: 4.0.1
HTTPS copyright format URL. See nocheck and noopt in DEB_BUILD_OPTIONS.
* Register documentation in doc-base.
2016-07-18 - Reto Buerki <reet@codelabs.ch>
pcscada (0.7.3-1) unstable; urgency=medium
* Update to release 0.7.3
* Transition to gnat-6 compiler (Closes: #825279)
* Drop explicit pcscada-dbg package
* Update binary package names
* Switch homepage and Vcs-* URLs to HTTPS
* Update to Standards-Version 3.9.8
* Update local gbp.conf
* Update ahven Build-Depends to libahven5-dev
* Include ada/debian_packaging-6.mk in debian/rules
* Update addon/pcscada.gpr file
* Add link-with-shared autopkgtest
2014-08-14 - Reto Buerki <reet@codelabs.ch>
pcscada (0.7.2-1) unstable; urgency=medium
* Update gbp.conf settings
* Set debian/compat level to 9
* Update to release 0.7.2
* Drop obsolete 'dynamic/static libs in separate dirs' patch
* Update copyright information
* Remove obsolete DM-Upload-Allowed from debian/control
* Update to Standards-Version 3.9.5
* Specify debian branch in Vcs-Git field
* Update binary package names
* Enable dpkg-buildflags hardening options
* Transition to gnat-4.9 compiler (Closes: #749806)
* Update ahven Build-Depends to libahven4-dev
2013-01-30 - Reto Buerki <reet@codelabs.ch>
pcscada (0.7.1-4) unstable; urgency=low
* Update copyright information
* Break and replace libpcscada1-dev (Closes: #699194)
2012-03-28 - Reto Buerki <reet@codelabs.ch>
pcscada (0.7.1-3) unstable; urgency=low
* Also depend on gnat package (Closes: #664722)
* Add project specific git-buildpackage configuration
* Add patch to build dynamic/static libs in separate dirs.
This avoids position-independent code (PIC) in the static library.
* libpcscada2-dev: Build and install static library
* Update to Standards-Version 3.9.3 (no changes)
2012-02-20 - Reto Buerki <reet@codelabs.ch>
pcscada (0.7.1-2) unstable; urgency=low
* Drop unneeded debian/README.source
* Update comment header in GNAT project file
* Drop incorrect libpcscada.0 symlink (Closes: #657417)
2011-11-26 - Reto Buerki <reet@codelabs.ch>
pcscada (0.7.1-1) unstable; urgency=low
* Merge upstream version 0.7.1
* Migrate to gnat-4.6
* Build-Depend on libahven3-dev (Closes: #647796)
* Switch to 3.0 (quilt) source package format
* Drop disable-stack-check.patch
* Rename libpcscada0.6 package to libpcscada0.7.1
* Bump dev package aliversion to 2
* Unapply patches from source
* Update to debhelper 8
* Switch to minimal debian/rules syntax
* Update to Standards-Version 3.9.2 (no changes)
* Enable DM upload
* Update copyright time period
* Update project URLs (now hosted at codelabs.ch)
* Add asciidoc and source-highlight to Build-Depends
* libpcscada2-dev: Build and install html doc

See Also

Package Description
libpcscada6-dev_0.7.4-2_amd64.deb Ada bindings to PC/SC middleware (development)
libpcsclite-dev_1.8.24-1_amd64.deb Middleware to access a smart card using PC/SC (development files)
libpcsclite1_1.8.24-1_amd64.deb Middleware to access a smart card using PC/SC (library)
libpdal-base7_1.8.0+ds-1+b2_amd64.deb Point Data Abstraction Library - libpdal_base
libpdal-dev_1.8.0+ds-1+b2_amd64.deb Point Data Abstraction Library - development files
libpdal-plugin-faux_1.8.0+ds-1+b2_amd64.deb Point Data Abstraction Library - Faux plugin
libpdal-plugin-greyhound_1.8.0+ds-1+b2_amd64.deb Point Data Abstraction Library - Greyhound plugin
libpdal-plugin-icebridge_1.8.0+ds-1+b2_amd64.deb Point Data Abstraction Library - Icebridge plugin
libpdal-plugin-pgpointcloud_1.8.0+ds-1+b2_amd64.deb Point Data Abstraction Library - PostgreSQL PointCloud plugin
libpdal-plugin-python_1.8.0+ds-1+b2_amd64.deb Point Data Abstraction Library - Python plugin
libpdal-plugin-sqlite_1.8.0+ds-1+b2_amd64.deb Point Data Abstraction Library - SQLite plugin
libpdal-plugins_1.8.0+ds-1+b2_amd64.deb Point Data Abstraction Library - plugins
libpdal-util7_1.8.0+ds-1+b2_amd64.deb Point Data Abstraction Library - libpdal_util
libpdf-api2-perl_2.033-1_all.deb module for creating or modifying PDF documents in Perl
libpdf-api2-simple-perl_1.1.4u-3_all.deb simple interface for manipulating PDF files
Advertisement
Advertisement